Subject: bug#49803: 27.2; Mouse wheel on MacOS is reported as mouse-4 and mouse-5, but Emacs mwheel seems to use wheel-up/wheel-down instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Aug 2022 14:03:49 +0200

Robert Pluim <[email-masked]> writes:

>     Lars> Robert Pluim <[email-masked]> writes:
>     >> Something like this. We can discuss if xterm-mouse-map-buttons should
>     >> default to t on ns-win or not. I think it should, because then using
>     >> the mouse wheel with builtin and external trackpads becomes:
>
>     Lars> This was a year ago, but the patch (which made sense to me,
>     Lars> but I seldom
>     Lars> use Macos) wasn't applied.
>
>     Lars> Was this fixed a different way?
>
> I donʼt think so. I donʼt use 'emacs -nw' on MacOS very much either.

Me neither.  Should we push the patch and see whether anybody complains?